Bug 1061689 - Horizon SSL is disabled by Nagios configuration via packstack
Summary: Horizon SSL is disabled by Nagios configuration via packstack
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: unspecified
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On: 966094 1054498
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 12:47 UTC by Nir Magnezi
Modified: 2016-04-18 06:47 UTC (History)
6 users (show)

Fixed In Version: openstack-packstack-2014.2-0.17.dev1462.gbb05296.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of: 1054498
Environment:
Last Closed: 2016-03-30 23:08:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 68557 None None None Never

Description Nir Magnezi 2014-02-05 12:47:01 UTC
Bug reproduced with openstack-packstack-2013.2.1-0.29.dev956.el6.noarch in RDO Icehouse

+++ This bug was initially created as a clone of Bug #1054498 +++

Description of problem:

Nagios puppet modules disable SSL after the Horizon module enables it.


Version-Release number of selected component (if applicable): openstack-packstack-2013.2.1-0.22.dev956.el6ost.noarch


How reproducible: 100%

Steps to Reproduce:
1. packstack --os-horizon-ssl=y --allinone
2. (wait)

Actual results:

After completion, SSL for Apache is disabled - thus, Horizon SSL does not work.


Expected results:

Unknown.  The Nagios module reset the Apache configuration to largely default, clearing out the Apache SSL configuration performed by the Horizon module.


Additional info:

packstack --os-horizon-ssl=y --nagios-install=n --allinone

...works fine...

--- Additional comment from Ivan Chavero on 2014-01-20 13:42:38 EST ---

Modifying the nagios template so it uses the SSL configuration given by horizon.

--- Additional comment from Ivan Chavero on 2014-01-24 16:56:14 EST ---

patch submitted to gerrit code review: https://review.openstack.org/#/c/68557/

The nagios template uses the apache class, this
class overwrites the current configuration thus
deleting the horizon configurations. By checking
if horizon is installed this patch avoids the use
of the apache puppeet class in the nagios template.

--- Additional comment from Ivan Chavero on 2014-01-27 02:16:31 EST ---

The nagios template uses the apache class, this
class overwrites the current configuration thus
deleting the horizon configurations. By checking
if horizon is installed this patch avoids the use
of the apache puppeet class in the nagios template.


Note You need to log in before you can comment on or make changes to this bug.